#!/usr/bin/env groovy

import com.urbancode.air.AirPluginTool;
import com.urbancode.ud.client.UDRestClient;
import com.urbancode.ds.client.AddVersionFilesCommand;

def apTool = new AirPluginTool(this.args[0], this.args[1]);

def props = apTool.getStepProperties();

def udUser = apTool.getAuthTokenUsername();
def udPass = apTool.getAuthToken();
def weburl = System.getenv("AH_WEB_URL");
def componentName = props['componentName'];
def versionName = props['versionName'];
        
com.urbancode.air.XTrustProvider.install()

//upload file props
def uploadFiles = props['uploadFiles'];
def includes = props['includes']?.split('\n') as String[];
def excludes = props['excludes']?.split('\n') as String[];
def saveFileExecuteBits = props['saveFileExecuteBits'] != null && Boolean.valueOf(props['saveFileExecuteBits']);

def proxyHost = System.env['PROXY_HOST'] ? System.env['PROXY_HOST'] : null
def proxyPort = System.env['PROXY_PORT'] ? Integer.valueOf(System.env['PROXY_PORT']) : null




def udRestClient = new UDRestClient(new URI(weburl), udUser, udPass);

println "Creating version $versionName on component $componentName";
udRestClient.createComponentVersion(versionName,
                                       componentName);


if (Boolean.valueOf(uploadFiles)) {
    def command = new AddVersionFilesCommand(weburl, udUser, udPass, null, componentName, 
                                             versionName, new File('.'), includes, excludes, 
                                             saveFileExecuteBits);
    command.execute();
}
