#!/usr/bin/env groovy

import com.urbancode.air.AirPluginTool;
import com.urbancode.ud.client.UDRestClient;

def apTool = new AirPluginTool(this.args[0], this.args[1]);

def props = apTool.getStepProperties();

def udUser = apTool.getAuthTokenUsername();
def udPass = apTool.getAuthToken();
def weburl = System.getenv("AH_WEB_URL");
def status = props['status'];
def componentName = props['componentName'];
def versionName = props['versionName'];

com.urbancode.air.XTrustProvider.install()

def udRestClient = new UDRestClient(new URI(weburl), udUser, udPass);

println "removing status $status from version $versionName on component $componentName";
udRestClient.removeComponentVersionStatus(componentName,
                                       versionName,
                                       status);
